#! /bin/sh

#  
#  "public" - 
# $1 = %u
# $2 = %D

LOG=/var/log/samba/useradd.log
#DATE=$(/bin/date +[%Y/%m/%d" "%T" "%z])

if [[ "x"$LOG = "x" ]] ; then
	LOG=/dev/null
fi

FTMP=$(/bin/mktemp -t useradd.XXXXXXXXXX)

{
	echo $(/bin/date +[%Y/%m/%d" "%T" "%z])
	
	#  
	echo '%u='$1
	echo '%D='$2

	#       
	if [ "x$1" != "xpublic" ]; then
		/usr/sbin/useradd -d /dev/null -s /dev/null -M $1
		TEST=$?
		echo "TEST="$TEST
	else
		TEST=100
	fi

	echo $TEST >$FTMP

	if [ "x$TEST" = "x0" ]; then
		#   
		/usr/lib/samba/userstruct.sh $1 $2
	fi
} 2>&1 | /usr/bin/tee $LOG

echo "end" $TEST

read TEST <$FTMP
/bin/rm -f $FTMP

echo "fend" $TEST

exit $TEST

